%bcond_with check

Name:           python-dotenv
Version:        1.0.1
Release:        %mkrel 3
Summary:        Add .env support to your Django/Flask apps in development and deployments
License:        BSD
URL:            https://github.com/theskumar/python-dotenv
Source0:        %{pypi_source}
BuildArch:      noarch
Group:          Development/Python
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Reads the key/value pair from .env file and adds them to environment variable.

%package -n     python3-dotenv
Summary:        %{summary}
%{?python_provide:%python_provide python3-dotenv}

%description -n python3-dotenv
Reads the key/value pair from .env file and adds them to environment variable.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires %{?with_check:requirements.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dotenv

%if %{with check}
%check
%pytest
%endif

%files -n python3-dotenv
%license LICENSE
%doc README.md
%{_bindir}/dotenv
%{python3_sitelib}/dotenv/
%{python3_sitelib}/python_dotenv-%{version}.dist-info/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-3.mga10
+ Revision: 2239278
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.1-2.mga10
+ Revision: 2156339
- build without tests for now
- disable check for now
- rebuild for python3.13

* Thu Jun 27 2024 papoteur <papoteur> 1.0.1-1.mga10
+ Revision: 2077261
- new version 1.0.1

* Sat Dec 30 2023 joequant <joequant> 1.0.0-3.mga10
+ Revision: 2024599
- update to py3.12

* Tue Oct 17 2023 papoteur <papoteur> 1.0.0-1.mga10
+ Revision: 1998061
- new 1.0.0

* Sat Nov 19 2022 joequant <joequant> 0.21.0-1.mga9
+ Revision: 1909018
- update pyproject
- update to 0.21.0

* Wed Mar 30 2022 umeabot <umeabot> 0.19.2-2.mga9
+ Revision: 1833862
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 joequant <joequant> 0.19.2-1.mga9
+ Revision: 1783519
- update to 0.19.2 / python 3.10

* Sat Aug 28 2021 wally <wally> 0.19.0-1.mga9
+ Revision: 1743168
- new version 0.19.0

* Sun Apr 11 2021 joequant <joequant> 0.17.0-1.mga9
+ Revision: 1714702
- update to 0.17.0

* Fri Dec 18 2020 joequant <joequant> 0.15.0-1.mga9
+ Revision: 1660793
- update 0.15.0

* Tue Jun 09 2020 joequant <joequant> 0.13.0-1.mga8
+ Revision: 1591235
- imported package python-dotenv

